﻿@using Rokolabs.Library.WebApp.Models.ViewModels

@model NewspaperVM

@using Rokolabs.Library.Entities

@{
    ViewBag.Title = "Newspaper details";
}

<h2>Newspaper details</h2>

<div style="margin-bottom: 10px; ">
    <h4>"@Html.DisplayFor(model => model.Name)"</h4>
    <hr />
    <dl class="dl-horizontal">

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublicationYear)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublicationYear)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublishingHouse)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublishingHouse)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.NumberOfPages)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.NumberOfPages)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublicationPlace)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublicationPlace)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Notes)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Notes)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ISSN)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ISSN)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.IssueNumber)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.IssueNumber)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.IssueDate)
        </dt>

        <dd>
            @(Model.IssueDate?.ToShortDateString())
        </dd>

    </dl>
    <hr />
    <div>
        <span>Another issues:</span>

        @foreach (var item in ViewBag.Issues)
        {
            if (item is Newspaper)
            {
                var newspaper = item as Newspaper;

                if (string.IsNullOrEmpty(newspaper.IssueNumber))
                {
                    continue;
                }

                if (newspaper.IssueNumber == Model.IssueNumber)
                {
                    @Html.Label(Model.IssueNumber)
                    @: |
                }
                else
                {
                    @Html.ActionLink(newspaper.IssueNumber, "Details", new { id = newspaper.EntryId })
                    @: |
                }
            }
        }

    </div>
    <hr />
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new {  id = Model.EntryID }) |
    @Html.ActionLink("Back to List", "Index", "Catalog")
</p>
